Skip to main content
GET
/
v1
/
subscriptions
/
{id}
Get subscription
curl --request GET \
  --url https://api.pointset.io/v1/subscriptions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "city": "London",
  "entity_type": "restaurant",
  "fields": [
    "phone",
    "rating",
    "website"
  ],
  "status": "active",
  "data_status": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "cancelled_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.pointset.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

OK

id
string<uuid>
required
account_id
string<uuid>
required
city
string
required
Example:

"London"

entity_type
string
required
Example:

"restaurant"

fields
string[]
required
Example:
["phone", "rating", "website"]
status
enum<string>
required
Available options:
active,
paused,
cancelled
Example:

"active"

data_status
string
required
created_at
string
required
updated_at
string
required
cancelled_at
string | null
required